<?php
    require_once("../includes/clase_sesion.php");
    $sesion=new sesion(); // inicio la sesion
    require_once("../includes/MySQL.php");
	$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));
	
	$configuracion=$sesion->get('configuracion');
	$nombre_grupo=$configuracion['nombres_grupos'];
	$sede=$_POST['sede'];
	
	$jornada=$_POST['jornada']; 
	
	$wh=" aca_grupos.cod_sede ='$sede'
			AND aca_grupos.cod_jornada ='$jornada'";
		
	$cons="SELECT
			DISTINCT aux_grados.cod_grado
			, aux_grados.nom_grado
			, aux_grados.seccion
			, aca_grupos.cod_grupo
			, aux_nombres_grupos.$nombre_grupo as grupo
		FROM
			aca_asignaturasxgrupos
			INNER JOIN aca_grupos 
				ON (aca_asignaturasxgrupos.cod_grupo = aca_grupos.cod_grupo)
			INNER JOIN aux_grados 
				ON (aca_grupos.cod_grado = aux_grados.cod_grado)
			INNER JOIN aux_nombres_grupos 
				ON (aca_grupos.cod_nom_grupo = aux_nombres_grupos.cod_nom_grupo)	
		     where " . $wh . " . ORDER BY aux_grados.orden , aux_nombres_grupos.$nombre_grupo";
			

	$academia->instruccion($cons);
	$curso="";
	$ban=0;	

	while($reg=$academia->extraer_registro()){		
		
		if($curso!=$reg['cod_grado']){
			if($ban!=0){
				echo "</optgroup>";
				$ban=0;
			}
			echo "<optgroup id=".$reg['cod_grado']." label=".$reg['nom_grado'].">";
			$ban=1;
		}
		if(trim($reg['cod_grupo'])==trim($sel))
			echo "<option idgr='".$reg['cod_grado']."' value='".$reg['cod_grupo']."' grado='".$reg['nom_grado']. "' grupo='". $reg['grupo'] . "' seccion='".$reg['seccion']."' selected='selected'>".$reg['grupo']."</option>";	
		else
			echo "<option idgr='".$reg['cod_grado']."' value='".$reg['cod_grupo']."' grado='".$reg['nom_grado']. "' grupo='". $reg['grupo'] . "' seccion='".$reg['seccion']."'>".$reg['grupo']."</option>";		
		$curso=$reg['cod_grado'];
	}
	$academia->liberar();
	$academia->cerrar();
?>